> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clipvision.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit Font Profile API Endpoint

> This API endpoint allows a user to edit an existing font profile.



## OpenAPI

````yaml put /api/font-profile/edit/
openapi: 3.0.1
info:
  title: ClipVision API
  description: ClipVision AI API
  termsOfService: https://www.clipvision.ai/terms/
  contact:
    email: help@clipvision.ai
  license:
    name: ClipVision License
  version: v1
servers:
  - url: https://backend.clipvision.ai/
security:
  - Basic: []
  - api_key: []
paths:
  /api/font-profile/edit/:
    put:
      tags:
        - api
      summary: Edit Font Profile API Endpoint
      description: This API endpoint allows a user to edit an existing font profile.
      operationId: edit_font_profile
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EditFontProfile'
        required: true
      responses:
        '200':
          description: Successfully edited the font profile
          content:
            application/json:
              schema:
                title: Font Profile
                type: object
                properties:
                  font_profile_id:
                    type: integer
                  disabled:
                    type: boolean
                  profile_name:
                    type: string
                  name:
                    type: string
                  path:
                    type: string
                  size:
                    type: integer
                  bold:
                    type: boolean
                  italic:
                    type: boolean
                  underlined:
                    type: boolean
                  strikethrough:
                    type: boolean
                  caption_position:
                    title: Overlay Coordinate
                    type: object
                    properties:
                      coordinate_id:
                        type: integer
                      overlay_visualizer:
                        type: string
                      x:
                        type: string
                      'y':
                        type: string
                    description: Overlay Coordinate OpenAPI Schema
                  caption_style_color:
                    type: string
                  caption_style_stroke_color:
                    type: string
                  caption_style_stroke_thickness:
                    type: integer
                  caption_shadow_x_pos:
                    type: integer
                  caption_shadow_y_pos:
                    type: integer
                  caption_shadow_color:
                    type: string
                  caption_shadow_blur:
                    type: integer
                  caption_lines:
                    type: integer
                  caption_ai_keyword_highlighter:
                    type: boolean
                  caption_ai_keyword_highlighter_color:
                    type: string
                  caption_highlighter:
                    type: boolean
                  caption_highlighter_color:
                    type: string
                  preview_url:
                    type: string
                  preview_bytes:
                    type: string
                    format: binary
                description: Font Profile OpenAPI Schema
              example:
                font_profile_id: 1
                disabled: false
                profile_name: New Font Profile
                name: Poppins
                path: Poppins
                size: 30
                bold: false
                italic: false
                underlined: false
                strikethrough: false
                caption_position:
                  coordinate_id: 0
                  overlay_visualizer: Middle Center
                  x: (main_w-overlay_w)/2
                  'y': (main_h-overlay_h)/2
                caption_style_color: '#FFFFFF'
                caption_style_stroke_color: '#000000'
                caption_style_stroke_thickness: 2
                caption_shadow_x_pos: 16
                caption_shadow_y_pos: 14
                caption_shadow_color: '#000000'
                caption_shadow_blur: 6
                caption_lines: 1
                caption_ai_keyword_highlighter: false
                caption_ai_keyword_highlighter_color: '#80B8FF'
                caption_highlighter: true
                caption_highlighter_color: '#FFFF00'
                preview_url: null
        '400':
          description: Failed to edit the font profile or validation errors
          content: {}
        '500':
          description: Failed to edit the font profile
          content:
            application/json:
              schema:
                title: Internal Server Error
                type: object
                properties:
                  success:
                    type: boolean
                    default: false
                  error:
                    type: string
                    default: Internal Server Error
                description: Internal Server Error OpenAPI Schema
              example:
                success: false
                error: Internal Server Error
components:
  schemas:
    EditFontProfile:
      required:
        - font_path
        - font_profile_id
      type: object
      properties:
        font_profile_id:
          title: Font profile id
          type: integer
        profile_name:
          title: Profile name
          minLength: 1
          type: string
        font_path:
          title: Font path
          type: string
          enum:
            - ''
            - local_files/fonts/BalderLL.ttf
            - local_files/fonts/Bangers-Regular.ttf
            - local_files/fonts/Fontspring-DEMO-FoundationSans-Black.otf
            - local_files/fonts/Geologica_Cursive-Black.ttf
            - local_files/fonts/Poppins-Black.ttf
            - local_files/fonts/RationalDisplay-Black.ttf
            - local_files/fonts/RationalDisplay-Bold.ttf
            - local_files/fonts/RationalDisplay-ExtraBold.ttf
            - local_files/fonts/Sequel Sans Bold Body.ttf
            - local_files/fonts/Sequel Sans Medium Body.ttf
        font_size:
          title: Font size
          minLength: 1
          type: string
        font_bold:
          title: Font bold
          type: boolean
        font_italic:
          title: Font italic
          type: boolean
        font_underlined:
          title: Font underlined
          type: boolean
        font_strikethrough:
          title: Font strikethrough
          type: boolean
        caption_position:
          title: Caption position
          type: integer
        caption_style_color:
          title: Caption style color
          minLength: 1
          type: string
        caption_style_stroke_color:
          title: Caption style stroke color
          minLength: 1
          type: string
        caption_style_stroke_thickness:
          title: Caption style stroke thickness
          type: integer
        caption_shadow_x_pos:
          title: Caption shadow x pos
          type: integer
        caption_shadow_y_pos:
          title: Caption shadow y pos
          type: integer
        caption_shadow_color:
          title: Caption shadow color
          minLength: 1
          type: string
        caption_shadow_blur:
          title: Caption shadow blur
          type: integer
        caption_lines:
          title: Caption lines
          type: integer
        caption_ai_keyword_highlighter:
          title: Caption ai keyword highlighter
          type: boolean
        caption_ai_keyword_highlighter_color:
          title: Caption ai keyword highlighter color
          minLength: 1
          type: string
        caption_highlighter:
          title: Caption highlighter
          type: boolean
        caption_highlighter_color:
          title: Caption highlighter color
          minLength: 1
          type: string
        preview_url:
          title: Preview url
          minLength: 1
          type: string
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    api_key:
      type: apiKey
      name: User-JWT
      in: header

````